POST https://api.revio.co.za/v2/collection/eftDescription
Field descriptions: collectionDate: The date on which to action the collection. serviceType: The service type to use for this collection. Accepted values: ONEDAY, TWODAY, SAMEDAY profileCode: The profile code to attach to this collection. Ensure that the token (JWT) used for this request has access to this profile code, otherwise you will get a HTTP 400 response (“Profile code does not exist”) externalReference: A unique reference, which can later be queried for the underlying mandate. If this value is not unique you will get a HTTP 400 response (“Mandate with this external reference already exists”) abbreviatedName: The abbreviated name or “short name” that will be used for the mandates and collection. contractReference: The contract reference used for this collection. debtor: Debtor (money deducted from) details are set in this object. creditor: Creditor (money added to) details are set in this object. releaseDate: The date on which the underlying mandate should be expired. frequency: The frequency at which collections will occur for this mandate. Accepted values: WEEKLY, MONTHLY or YEARLY. ultimateCreditor: This is used when you want this collection to be automatically be settled to a separate creditor account, after collection into the ordinary creditor account. entryClass: Used by the bank to categorise the mandate. | | | | |-----------------|------------------|------------------------------------------------------| | Accepted values | 21 | Insurance Premium | | 22 | Pension Fund Contribution | | 23 | Medical Aid Fund Contribution | | 26 | Unit Trust Purchase | | 28 | Charitable or religious contributions | | 31 | H.P. Repayment | | 32 | Account Repayment | | 33 | Loan Repayment (other than Mortgage) | | 34 | Rental-Lease (other than Property) | | 35 | Service Charge (Maintenance of Service Agreements, etc.) | | 36 | Value Added Tax (Vat collection) | | 37 | Service Charge (Variable Amounts) | | 41 | Rent (Property) | | 42 | Bond Repayment amountCents: The amount (in cents) to collect. currency: The currency to use for this collection. Accepted values: ZAR verifyAccount: NB: This incurs additional costs. Whether to verify the debtor’s account details using the bank’s Account Verification Service. validateAccount: Whether to verify the debtor’s account details using a Check Digit Validation Service.
Request body
| Field | Type | Required | Description |
|---|---|---|---|
debtor | Debtor | no | |
creditor | Creditor | no | |
currency | string | no | |
frequency | Frequency | no | One of: MONTHLY, WEEKLY, FORTNIGHTLY, QUARTERLY, BIANNUALLY, ADHOC, YEARLY |
entryClass | string | no | |
amountCents | integer (int64) | no | |
profileCode | string | no | |
releaseDate | string (date-time) | no | |
serviceType | EFTCollectionServiceType | no | One of: ONEDAY, TWODAY, SAMEDAY |
verifyAccount | boolean | no | |
collectionDate | string (date-time) | no | |
abbreviatedName | string | no | |
validateAccount | boolean | no | |
ultimateCreditor | Creditor | no | |
contractReference | string | no | |
externalReference | string | no |
Example
curl -X POST https://api.revio.co.za/v2/collection/eft \
-H 'Authorization: Bearer <YOUR_API_KEY>' \
-H 'Content-Type: application/json'Responses
| Status | Description |
|---|---|
201 | Created |
400 | Bad Request |